package models

import (
   // "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgSeason struct {
    models.Model
    
    LeagueId string `json:"leagueId" gorm:"type:int(11);comment:LeagueId"` 
    DivisionId string `json:"divisionId" gorm:"type:int(11);comment:DivisionId"` 
    SeasonName string `json:"seasonName" gorm:"type:varchar(255);comment:赛季名称"` 
    TotalRounds string `json:"totalRounds" gorm:"type:varchar(60);comment:总轮次"` 
    StartTime string `json:"startTime" gorm:"type:date;comment:赛季开始时间"` 
    EndTime string `json:"endTime" gorm:"type:date;comment:赛季结束时间"` 
    Status string `json:"status" gorm:"type:int(11);comment:赛季开启状态 1 是 0 否"` 
    models.ModelTime
    models.ControlBy
}

func (OrgSeason) TableName() string {
    return "org_season"
}

func (e *OrgSeason) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgSeason) GetId() interface{} {
	return e.Id
}